Package: groovy.lang

## [Java] Class Tuple5<T1, T2, T3, T4, T5>

- groovy.lang.Tuple5

-     public final class Tuple5<T1, T2, T3, T4, T5>
      extends Tuple

  Represents a list of 5 typed Objects.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple5(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5)`
    `Tuple5(Tuple5<T1, T2, T3, T4, T5> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple5<T1, T2, T3, T4, T5>` | `clone()`
    `` | `public T5` | `getFifth()`
    `` | `public T1` | `getFirst()`
    `` | `public T4` | `getFourth()`
    `` | `public T2` | `getSecond()`
    `` | `public T3` | `getThird()`
    `` | `public T1` | `getV1()`
    `` | `public T2` | `getV2()`
    `` | `public T3` | `getV3()`
    `` | `public T4` | `getV4()`
    `` | `public T5` | `getV5()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple5(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5)

    - #### public Tuple5(Tuple5<T1, T2, T3, T4, T5> tuple)

  - ### Method Detail

    - #### @Override
      public Tuple5<T1, T2, T3, T4, T5> clone()

    - #### @Deprecated
      public T5 getFifth()

    - #### @Deprecated
      public T1 getFirst()

    - #### @Deprecated
      public T4 getFourth()

    - #### @Deprecated
      public T2 getSecond()

    - #### @Deprecated
      public T3 getThird()

    - #### public T1 getV1()

    - #### public T2 getV2()

    - #### public T3 getV3()

    - #### public T4 getV4()

    - #### public T5 getV5()